local myMod = foundation.createMod();

myMod:log("der_seBi Decorative stuff loading")
--myMod:log("Hello World!")
--myMod:logWarning("This is a warning!")
--myMod:logError("This is an error!")
--myMod:msgBox("Hello there!")

myMod:registerAssetId("models/stones.fbx/Prefab/stonePart", "PREFAB_DECO_STONES")
myMod:registerAssetId("models/stones.fbx/Prefab/stoneSmallPart", "PREFAB_DECO_STONES2")
myMod:registerAssetId("models/wooden_logs.fbx/Prefab/wooden_logsPart", "PREFAB_DECO_WOOD")
myMod:registerAssetId("models/wooden_logs.fbx/Prefab/wooden_planksPart", "PREFAB_DECO_WOOD2")
myMod:registerAssetId("models/torch.fbx/Prefab/torchPart", "PREFAB_DECO_TORCH")
myMod:registerAssetId("models/torch.fbx/Prefab/lampPart", "PREFAB_DECO_LAMP")
myMod:registerAssetId("models/wooden_cb.fbx/Prefab/barrelPart", "PREFAB_DECO_BARREL1")
myMod:registerAssetId("models/wooden_cb.fbx/Prefab/wooden_cratePart", "PREFAB_DECO_CRATE1")
myMod:registerAssetId("models/wooden_fence.fbx/Prefab/wooden_fencePart", "PREFAB_DECO_FENCE1")
myMod:registerAssetId("models/wooden_pillory.fbx/Prefab/pilloryPart", "PREFAB_DECO_PILLORY1")
myMod:registerAssetId("models/front_building_2am.fbx/Prefab/WallPart", "PREFAB_DECO_FRONTBUILDING1")
myMod:registerAssetId("models/front_building_2am.fbx/Prefab/Wall2Part", "PREFAB_DECO_FRONTBUILDING2")
myMod:registerAssetId("models/tombstone.fbx/Prefab/TombstoneBigPart", "PREFAB_DECO_TOMBSTONE1")
myMod:registerAssetId("models/tombstone.fbx/Prefab/TombstoneSmallPart", "PREFAB_DECO_TOMBSTONE2")
myMod:registerAssetId("models/grain_sack.fbx/Prefab/grain_sackPart", "PREFAB_DECO_GRAINSACK1")
myMod:registerAssetId("models/stool.fbx/Prefab/stoolPart", "PREFAB_DECO_WOODENSTOOL1")
myMod:registerAssetId("models/stool.fbx/Prefab/stool2Part", "PREFAB_DECO_WOODENSTOOL2")
myMod:registerAssetId("models/shield.fbx/Prefab/shieldPart", "PREFAB_DECO_SHIELD1")
myMod:registerAssetId("models/bench.fbx/Prefab/wooden_benchPart", "PREFAB_DECO_WOODENBENCH1")
myMod:registerAssetId("models/bench.fbx/Prefab/stone_benchPart", "PREFAB_DECO_STONEBENCH1")
myMod:registerAssetId("models/single_stones.fbx/Prefab/single_stone_big1Part", "PREFAB_DECO_SINGLESTONEBIG1")
myMod:registerAssetId("models/single_stones.fbx/Prefab/single_stone_middle1Part", "PREFAB_DECO_SINGLESTONEMIDDLE1")
myMod:registerAssetId("models/single_stones.fbx/Prefab/single_stone_small1Part", "PREFAB_DECO_SINGLESTONESMALL1")
myMod:registerAssetId("models/single_stones.fbx/Prefab/pile_of_stones_1Part", "PREFAB_DECO_PILEOFSTONES1")
myMod:registerAssetId("models/palm_tree.fbx/Prefab/Palm", "PREFAB_DECO_TREE_PALM1")
myMod:registerAssetId("models/palm_raft.fbx/Prefab/palm_raft", "PREFAB_DECO_PALM_RAFT1")
-- Register window small prefab nodes
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small1/RootPart_WS1", "WINDOW_WS1_ROOT_PREFAB")
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small1/TopPart_WS1", "WINDOW_WS1_TOP_PREFAB")
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small1/Tiling1Part_WS1", "WINDOW_WS1_TILING1_PREFAB")
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small2/RootPart_WS2", "WINDOW_WS2_ROOT_PREFAB")
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small2/TopPart_WS2", "WINDOW_WS2_TOP_PREFAB")
myMod:registerAssetId("models/scalable_windows_1a.fbx/Prefab/windows/window_small2/Tiling1Part_WS2", "WINDOW_WS2_TILING1_PREFAB")


myMod:dofile("scripts/buildings.lua")
myMod:dofile("scripts/monument.lua")
myMod:dofile("scripts/building_settings.lua")
myMod:dofile("scripts/particle_system.lua")